.nav-mobile {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 700;
    overflow: hidden;
    position: fixed;
    padding-top: rem(130);
    background-color: var(--dark);
    opacity: 0;
    visibility: hidden;

    &__primary {
        top: rem(130);
        left: 0;
        right: 0;
        bottom: 0;
        padding-top: rem(24);
        overflow-x: hidden;
        overflow-y: auto;
        position: absolute;
    }

    &__parents {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: rem(32);
        line-height: rem(32);
        display: flex;
        flex-direction: column;
        row-gap: rem(32);
    }

    &__parent {
        padding: 0;
        border: none;
        outline: none;
        color: white;
        cursor: pointer;
        white-space: nowrap;
        text-decoration: none;
        background-color: transparent;
        text-transform: uppercase;
    }

    &__divider {
        height: 1px;
        background-color: rgba(255, 255, 255, 0.1);
        margin-top: rem(67);
        margin-bottom: rem(37);
    }

    &__info {
        display: flex;
        flex-direction: column;
        row-gap: rem(32);
        padding-bottom: rem(28);
    }

    &__contacts {
        display: flex;
        flex-direction: column;
        row-gap: rem(24);
    }

    &__social {
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__secondary {
        top: rem(130);
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 100;
        position: absolute;
        background-color: var(--dark);
        display: flex;
        flex-direction: column;
        transform: translateX(100%);
        transition: var(--transition-time);

        &.open {
            transform: translateX(0%);
            transition: var(--transition-time);
        }
    }

    &__wrap {
        flex-grow: 1;
        position: relative;
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        padding: rem(16) 0;
        position: absolute;
        overflow-x: hidden;
        overflow-y: auto;
    }

    &__back {
        display: flex;
        align-items: center;
        padding-bottom: rem(16);
    }

    &__title {
        color: white;
        font-weight: 500;
        font-size: rem(32);
        line-height: rem(32);
        text-transform: uppercase;
        margin-bottom: rem(24);
        padding-bottom: rem(24);
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);

        &:hover {
            color: white;
            text-decoration: none;

            &:hover {
                color: white;
                text-decoration: none;
            }
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: flex;
        flex-direction: column;
        row-gap: rem(12);

        a {
            color: white;
            text-decoration: none;

            &:hover {
                color: white;
                text-decoration: none;
            }
        }
    }

    &__children {
        display: none;

        &.active {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.contact-phone {
    color: white;
    fill: var(--orange);
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    white-space: nowrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: rem(8);
    opacity: 1;
    transition: var(--transition-time);

    &:hover {
        color: white;
        fill: var(--orange);
        text-decoration: none;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
    }

    &:hover {
        opacity: .7;
        transition: var(--transition-time);
    }
}

.contact-address {
    color: white;
    fill: var(--orange);
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    white-space: wrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: rem(8);

    i {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
    }
}

.nav-back {
    padding: 0;
    border: none;
    outline: none;
    stroke: white;
    color: white;
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    white-space: nowrap;
    cursor: pointer;
    text-decoration: none;
    background: transparent;
    display: flex;
    align-items: center;
    column-gap: rem(8);

    &:hover {
        stroke: white;
        color: white;
        text-decoration: none;
    }

    &__icon {
        display: flex;
        align-items: center;
        justify-content: center;
        width: rem(32);
        height: rem(32);
        flex-shrink: 0;
        border-radius: 50%;
        background: var(--gray);

        i {
            display: block;
            width: rem(16);
            height: rem(16);
            flex-shrink: 0;
        }
    }
}

.nav {
    top: 0;
    left: 0;
    right: 0;
    z-index: 700;
    height: 100%;
    position: fixed;
    padding-top: rem(132);
    background-color: var(--dark);
    display: none;
    opacity: 0;
    visibility: hidden;

    &__container {
        margin: 0 auto;
        max-width: rem(704);
    }

    &__body {
        flex-grow: 1;
    }

    &__footer {

        .nav__container {
            border-top: 1px solid rgba(255, 255, 255, 0.1);
        }
    }

    &__main {
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(64);
        column-gap: rem(24);
        justify-content: space-between;
    }

    &__title {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(16);
        padding-bottom: rem(12);
        margin-bottom: rem(24);
        position: relative;
        text-transform: uppercase;

        &:before {
            left: 0;
            bottom: 0;
            height: 1px;
            content: '';
            position: absolute;
            background: rgba(255, 255, 255, 0.1);
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;

        a {
            color: rgba(255, 255, 255, 0.7);
            text-decoration: none;
            transition: var(--transition-time);

            &:hover {
                color: white;
                text-decoration: none;
                transition: var(--transition-time);
            }
        }
    }

    &__group {
        flex-shrink: 0;

        &--01 {
            width: rem(222);

            .nav__title {

                &:before {
                    width: rem(80);
                }
            }
        }

        &--02 {
            flex-shrink: 0;
            flex-grow: 1;

            .nav__title {

                &:before {
                    width: rem(110);
                }
            }
        }

        &--03 {
            width: rem(204);

            .nav__title {

                &:before {
                    width: rem(72);
                }
            }
        }

        &--04 {
            width: rem(222);

            .nav__title {

                &:before {
                    width: rem(138);
                }
            }
        }


        &--05 {
            flex-shrink: 0;
            flex-grow: 1;

            .nav__title {

                &:before {
                    width: rem(176);
                }
            }
        }

        &--06 {
            width: rem(204);

            .nav__title {

                &:before {
                    width: rem(72);
                }
            }
        }
    }

    &__content {
        position: relative;
        padding-top: rem(48);
        padding-bottom: rem(48);
        display: flex;
        column-gap: rem(46);
    }

    &__phone {
        width: rem(200);
    }

    &__address {
        left: 0;
        width: rem(200);
        bottom: rem(48);
        position: absolute;
    }

    &__social {
        width: rem(136);
        display: flex;
        flex-shrink: 0;
        flex-wrap: wrap;
        row-gap: rem(8);
        column-gap: rem(8);
    }

    &__lng {
        margin-left: rem(72);
    }

    .contact-address {
        align-items: flex-start;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        flex-direction: column;
    }

    @include media-breakpoint-up(lg) {
        padding-top: rem(122);

        &__container {
            max-width: rem(962);
        }

        &__group {

            &--01 {
                width: auto;
                order: 1;
            }

            &--02 {
                width: auto;
                flex-grow: 0;
                order: 2;
            }

            &--03 {
                width: auto;
                order: 6;
            }

            &--04 {
                width: auto;
                order: 3;
            }

            &--05 {
                width: auto;
                flex-grow: 0;
                order: 4;
            }

            &--06 {
                width: auto;
                order: 5;
            }
        }

        &__social {
            width: auto;
            flex-wrap: nowrap;
        }

        &__content {
            padding-top: rem(32);
            padding-bottom: rem(32);
            align-items: center;
            justify-content: space-between;
        }

        &__contacts {
            width: auto;
            flex-direction: row;
            column-gap: rem(70);
        }

        &__lng {
            margin: 0;
        }

        &__address {
            width: auto;
            left: auto;
            bottom: auto;
            position: relative;
        }

        &__phone {
            width: auto;
        }

        .contact-address {
            white-space: nowrap;
            align-items: center;
        }
    }

    @include media-breakpoint-up(xl) {
        position: absolute;
        height: auto;

        &__body {
            padding-bottom: rem(40);
        }

        &__container {
            max-width: rem(1870);
        }

        &__main {
            max-width: rem(1170);
            margin: 0 auto;
        }

        &__content {
            max-width: rem(1170);
            margin: 0 auto;
        }

        &__contacts {
            column-gap: rem(110);
        }
    }

    @include media-breakpoint-up(xxl) {

    }
}

.nav-open {
    overflow: hidden;

    .header {
        background-color: var(--dark);
    }

    .header-burger {
        color: var(--dark);
        background-color: var(--orange);

        &__icon {

            span {
                opacity: 0;
                width: 100%;
            }

            &:after {
                background-color: var(--dark);
                transform: translateY(-5px) translateX(0) rotate(45deg);
                transition: var(--transition-time);
            }

            &:before {
                background-color: var(--dark);
                transform: translateY(5px) translateX(0) rotate(-45deg);
                transition: var(--transition-time);
            }
        }
    }

    .header-logo {

        &--color {
            opacity: 1;
            visibility: visible;
        }

        &--white {
            opacity: 0;
            visibility: hidden;
        }
    }

    .nav-mobile {
        opacity: 1;
        visibility: visible;
    }

    @include media-breakpoint-up(md) {

        .nav {
            opacity: 1;
            visibility: visible;
        }
    }

    @include media-breakpoint-up(xl) {
        overflow: visible;
    }
}
